"""Precios Estimados Schemas"""

from typing import Optional
from pydantic import BaseModel, ConfigDict, Field


class PreciosEstimados2Response(BaseModel):
    """Precios Estimados"""

    FRACCION: Optional[str] = Field(None, max_length=10)
    UMC: Optional[str] = Field(None, max_length=2)
    PRECIO: Optional[str] = None
    DOF: Optional[str] = Field(None, max_length=8)
    NICO: Optional[str] = Field("", max_length=2)
    SYSID: int

    model_config = ConfigDict(from_attributes=True)
